Bug 177848 - Kernel oops on mounting XFS partition
Kernel oops on mounting XFS partition
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-15 10:50 EST by Dawid Gajownik
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-17 00:47:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages file (29.97 KB, text/plain)
2006-01-15 10:52 EST, Dawid Gajownik
no flags Details
fstab file (967 bytes, text/plain)
2006-01-15 10:55 EST, Dawid Gajownik
no flags Details
fix for the kernel oops (596 bytes, patch)
2006-02-01 08:05 EST, Dawid Gajownik
no flags Details | Diff

  None (edit)
Description Dawid Gajownik 2006-01-15 10:50:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a1) Gecko/20051228 SeaMonkey/1.5a

Description of problem:
Kernel Oopses on mounting XFS partition (please see attached messeges file).



Version-Release number of selected component (if applicable):
2.6.15-1.1854_FC5

How reproducible:
Always

Steps to Reproduce:
1. Try to run system with 2.6.15-1.1854_FC5 kernel

Actual Results:  Kernel shows this message for 2 minutes and then boot procedure continues. After few seconds system hangs on "Mounting other filesystems".

Additional info:

Kernel 2.6.15-1.1854_FC5 was also broken. 2.6.15-1.1826.2.10_FC5 works fine.

BTW it would be nice to have “kernel.sysrq” set to 1 by default in /etc/sysctl.conf in Rawhide ;-)
Comment 1 Dawid Gajownik 2006-01-15 10:52:08 EST
Created attachment 123216 [details]
messages file
Comment 2 Dawid Gajownik 2006-01-15 10:55:37 EST
Created attachment 123217 [details]
fstab file

I know that XFS partitions are not supported but I presume that you know
someone who would be willing to take a look at this bug report :-)
Comment 3 Dave Jones 2006-01-17 00:47:05 EST
Your best bet is to take this straight to the XFS maintainer (nathans@sgi.com)
rather than me acting as a middle-man.  Fedora will pick up any resulting
upstream fixes next time we rebase.
Comment 4 Dawid Gajownik 2006-02-01 08:05:07 EST
Created attachment 123957 [details]
fix for the kernel oops

Thanks for the e-mail address. I've contacted with Nathan Scott and he sent me
this patch. I've tested it with 2.6.15-1.1881_FC5 and oopses are gone :)

Note You need to log in before you can comment on or make changes to this bug.